org.glassfish.jersey.server.monitoring

## Interface RequestEventListener

    public interface RequestEventListener

Non-registrable provider that listens to `request events`.

The implementation of the interface will be called for request events when they occur. The provider cannot be registered as a standard JAX-RS or Jersey provider. The instance of the `RequestEventListener` must be returned from the `ApplicationEventListener.onRequest(RequestEvent)`. This will register the instance for listening of request events for one particular request. Once the processing of the request is finished, the instance will be ignored by the Jersey runtime and not used for processing of further requests.

Author:
  Miroslav Fuksa
See Also:
  `for details of how to register the {@code RequestEventListener}.`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onEvent(RequestEvent event)` The method is called when new request event occurs.

### Method Detail

#### onEvent

    void onEvent(RequestEvent event)

The method is called when new request event occurs. This method will never be called for method `RequestEvent.Type.START` as this event is handled by `ApplicationEventListener`.

Parameters:
  `event` - Request event.